Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Blockers in KDE 3.4.1
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
DeKay
n00b
n00b


Joined: 02 Jul 2005
Posts: 7

PostPosted: Sat Jul 02, 2005 4:54 pm    Post subject: Blockers in KDE 3.4.1 Reply with quote

Hi. First time caller. Long time listener.

I tried to emerge kde 3.4.1 last night on a fresh install but had some problems with blocking as you can see.

Code:
cube ~ # emerge --pretend --verbose kdebase

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B     ] =kde-base/kdebase-kioslaves-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/konqueror-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kcminit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdesu-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/konsole-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdialog-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/khelpcenter-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kicker-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/nsplugins-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-data-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kcontrol-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/libkonq-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[ebuild  N    ] sys-apps/i2c-2.8.7  136 kB
[ebuild  N    ] sys-apps/lm_sensors-2.8.7  -rrdtool 772 kB
[ebuild  N    ] kde-base/kdebase-pam-4  0 kB
[ebuild  N    ] kde-base/kdebase-3.4.1-r1  +arts +cups -debug +hal +ieee1394 -java +kdeenablefinal +ldap +lm_sensors -logitech-mouse +opengl +pam +samba +ssl -xinerama 0 kB


So I unmerged all the blockers and emerged kdebase successfully. But now I get
Code:

cube ~ # emerge --pretend --verbose  kdebase-kioslaves

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdialog-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-kioslaves-3.4.1-r1)
[ebuild  N    ] kde-base/kdialog-3.4.1  +arts -debug -java +kdeenablefinal -kdexdeltas -xinerama 0 kB
[ebuild  N    ] kde-base/kdebase-kioslaves-3.4.1-r1  +arts -debug +hal -java +kdeenablefinal -kdexdeltas +ldap +samba -xinerama 0 kB

Total size of downloads: 0 kB
cube ~ #

Just for grins...
Code:

cube ~ # emerge search kdebase
Searching...   
[ Results for search key : kdebase ]
[ Applications found : 6 ]
 
*  kde-base/kdebase
      Latest version available: 3.4.1-r1
      Latest version installed: 3.4.1-r1
      Size of downloaded files: 21,907 kB
      Homepage:    http://www.kde.org/
      Description: KDE base packages: the desktop, panel, window manager, konqueror...
      License:     GPL-2
<snip>


So I seem to have a circular problem here. As I mentioned, this is a fresh install and my first crack at putting kde on this box. No unstable packages on this box. Thanks in advance for any help.
Back to top
View user's profile Send private message
ninjaboy13
n00b
n00b


Joined: 25 Sep 2004
Posts: 47
Location: Huntington Beach, CA

PostPosted: Sat Jul 02, 2005 5:27 pm    Post subject: Reply with quote

I have the same problem, except I unmasked kde 3.4.1 a few weeks ago. Now after yesterday I get a list of blockers all kde 3.4.1.

Weird...to uninstall kde 3.4.1 do I have to uninstall each individual package or can I just emerge -C kde-meta?
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Sat Jul 02, 2005 6:38 pm    Post subject: Reply with quote

DeKay: What are you trying to do? If you have kdebase-3.4.1 succesfully emerged, why are you trying emerge kdebase-kioslaves? You cant have this two packages together ... kdebase-kioslaves is part of kdebase, so you have it.

Since kde-3.4 portage offers two ways to emerge kde - with monolitic or splitted ebuilds. You have to choose way you want to go. There are great docs at gentoo.org in section related to desktop, I cant explain it better.
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Sat Jul 02, 2005 6:43 pm    Post subject: Reply with quote

ninjaboy13 wrote:
I have the same problem, except I unmasked kde 3.4.1 a few weeks ago. Now after yesterday I get a list of blockers all kde 3.4.1.


I think there is no need to unmerge something. Tell more, please. Did you emerged splitted ones and you still have kde-3.3.2? One solution in this case is put the monolitic packages like kdebase, kdepim, kdemultimedia and so to your package.mask,. Second solution is get rid of kde-3.3.2.

Also there should be another reason. :D
Back to top
View user's profile Send private message
Headrush
Watchman
Watchman


Joined: 06 Nov 2003
Posts: 5597
Location: Bizarro World

PostPosted: Sat Jul 02, 2005 6:57 pm    Post subject: Reply with quote

In simplier terms: If you are using the KDE split ebuilds, you don't install kdebase.

If your trying to use the split ebuilds, (aka you want to install individual packages such as kopete, kwrite, etc), remove kdebase.
Code:
emerge unmerge kdebase
Back to top
View user's profile Send private message
DeKay
n00b
n00b


Joined: 02 Jul 2005
Posts: 7

PostPosted: Sat Jul 02, 2005 7:05 pm    Post subject: Reply with quote

radfoj: I think the light just came on. :idea:

I was missing the fact that kdebase is a meta package thing that contained the other stuff already. Thanks a ton. I'll try this one more time.
Back to top
View user's profile Send private message
Headrush
Watchman
Watchman


Joined: 06 Nov 2003
Posts: 5597
Location: Bizarro World

PostPosted: Sat Jul 02, 2005 7:21 pm    Post subject: Reply with quote

DeKay wrote:
radfoj: I think the light just came on. :idea:

I was missing the fact that kdebase is a meta package thing that contained the other stuff already. Thanks a ton. I'll try this one more time.

Just to avoid confusion for others.

kdebase is part of the monolithic KDE ebuilds. It contains many of the individual KDE programs.

Using the split KDE ebuilds you can individually pick the KDE ebuilds you want. eg kate, kopete, ksayit

kdebase-meta is a split KDE ebuild.
This meta package just emerges all the individual split KDE ebuilds that are contained in the kdebase package from the monolithic KDE ebuild.

Its purpose is so you can conveniently emerge this group of packages without specifying all the individual packages, but still have the ability to unmerge or re-emerge individual packages. Basically its just a wrapper for a group of individual KDE ebuilds.
Back to top
View user's profile Send private message
DeKay
n00b
n00b


Joined: 02 Jul 2005
Posts: 7

PostPosted: Sat Jul 02, 2005 9:33 pm    Post subject: Reply with quote

Okay. Things make sense now and I've got kde up and running. Thanks.

By the way. how can I tell what is rolled into a monolithic package like kdebase???
Back to top
View user's profile Send private message
RCMN
Apprentice
Apprentice


Joined: 08 Jun 2003
Posts: 203
Location: fr-paris us-minneapolis

PostPosted: Tue Jul 05, 2005 5:12 am    Post subject: Reply with quote

i switch to the split 2 month ago and everything was fine.But now i have some pbm because kdebase is 3.4--> well no pbm i did
Code:
emerge unmerge kdebase
.But when i do
Code:
 emerge -Dup world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] =kde-base/kcheckpass-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kmenuedit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-kioslaves-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kate-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/ksplashml-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-startkde-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/konqueror-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdesu-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kwin-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdialog-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kreadconfig-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kpersonalizer-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/libkonq-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/ksysguard-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdesktop-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/khelpcenter-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/ksmserver-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kicker-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-data-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kcminit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdm-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kcontrol-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kmix-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-kioslaves-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdialog-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/konqueror-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/khotkeys-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesu-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcminit-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcontrol-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/khelpcenter-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-startkde-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/ksplashml-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kreadconfig-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kwin-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kpersonalizer-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/ksmserver-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdm-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesktop-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcheckpass-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kate-3.4.1)


kdebase want reinstall itself .why ? There is probably dependencies but what are they ?.
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Tue Jul 05, 2005 8:16 am    Post subject: Reply with quote

What do you mean with pbm. I dont understand it at all. But I suggest try add -t option only to see more
Code:
emerge -Dupt world

Without luck? What happens if you put kdebase to /etc/portage/package.mask ?
Back to top
View user's profile Send private message
RCMN
Apprentice
Apprentice


Joined: 08 Jun 2003
Posts: 203
Location: fr-paris us-minneapolis

PostPosted: Tue Jul 05, 2005 1:33 pm    Post subject: Reply with quote

Code:
emerge -Dupt world

These are the packages that I would merge, in reverse order:

Calculating world dependencies ...done!
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kate-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcheckpass-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesktop-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdm-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/ksmserver-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kpersonalizer-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kwin-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kreadconfig-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/ksplashml-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-startkde-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/khelpcenter-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcontrol-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kcminit-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesu-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/khotkeys-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/konqueror-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdialog-3.4.1)
[blocks B     ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-kioslaves-3.4.1-r1)
[blocks B     ] =kde-base/kmix-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B     ] =kde-base/kcontrol-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdm-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kcminit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-data-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kicker-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/ksmserver-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/khelpcenter-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdesktop-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/ksysguard-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/libkonq-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kpersonalizer-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kreadconfig-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdialog-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kwin-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdesu-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/konqueror-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-startkde-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/ksplashml-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kate-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kdebase-kioslaves-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kmenuedit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B     ] =kde-base/kcheckpass-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[nomerge      ] kde-base/kate-3.4.1
[ebuild     U ] sys-boot/grub-0.96-r2 [0.96-r1]
[ebuild     U ] games-fps/doom3-1.3.1302 [1.1.1286]
[nomerge      ] media-video/dvdrip-0.52.0
[ebuild     U ]  media-video/mjpegtools-1.6.2-r4 [1.6.2-r3]
[ebuild     U ] games-strategy/wormux-0.5.1 [0.5.0]
[nomerge      ] kde-base/kdebase-startkde-3.4.1
[nomerge      ]  kde-base/kdesktop-3.4.1
[nomerge      ]   kde-base/kcheckpass-3.4.1
[nomerge      ]   kde-base/kdm-3.4.1
[nomerge      ]  kde-base/ksmserver-3.4.1
[nomerge      ]  kde-base/kpersonalizer-3.4.1
[nomerge      ]  kde-base/kwin-3.4.1
[nomerge      ]  kde-base/kreadconfig-3.4.1
[nomerge      ]  kde-base/ksplashml-3.4.1
[nomerge      ] dev-perl/Mail-ClamAV-0.13
[nomerge      ]  dev-perl/Inline-0.44-r1
[ebuild     U ]   perl-core/File-Spec-3.06 [0.87]
[nomerge      ] media-sound/amarok-1.2.3
[nomerge      ]  kde-base/konqueror-3.4.1
[nomerge      ]   kde-base/kcontrol-3.4.1-r1
[nomerge      ]    kde-base/khelpcenter-3.4.1-r1
[nomerge      ]    kde-base/kcminit-3.4.1
[nomerge      ]    kde-base/kdesu-3.4.1
[ebuild  N    ]    kde-base/khotkeys-3.4.1
[nomerge      ]   kde-base/kdebase-kioslaves-3.4.1-r1
[nomerge      ]    kde-base/kdialog-3.4.1
[ebuild  NS   ]  kde-base/kdemultimedia-3.4.1-r1
[ebuild  N    ]   kde-base/kdebase-3.4.1-r1
[nomerge      ] mail-client/sylpheed-claws-1.0.4
[ebuild     U ]  www-client/dillo-0.8.4-r2 [0.8.4-r1]
[nomerge      ] app-office/kmymoney2-0.6.4
[ebuild     U ]  dev-cpp/libxmlpp-2.10.0-r1 [2.8.0-r1]
[ebuild     U ]   dev-cpp/glibmm-2.6.1 [2.4.7-r1]
[ebuild     U ] sys-apps/kbd-1.12-r5 [1.12-r4]
[nomerge      ] net-analyzer/nessus-2.2.4
[ebuild     U ]  net-analyzer/nessus-core-2.2.4-r1 [2.2.4]
[ebuild     U ] app-office/grisbi-0.5.7 [0.5.6]
[ebuild     U ] x11-terms/xterm-200-r3 [200-r1]
[ebuild     U ] media-video/kaffeine-0.6-r1 [0.4.3b-r1]
[nomerge      ] net-misc/vpnc-0.3.2
[ebuild     U ]  sys-apps/iproute2-2.6.11.20050310-r1 [2.6.10.20050112-r1]
[ebuild     U ] app-arch/gzip-1.3.5-r8 [1.3.5-r7]
[nomerge      ] dev-games/crystalspace-cvs-0.99
[ebuild     U ]  app-admin/sudo-1.6.8_p9 [1.6.7_p5-r2]
[nomerge      ] app-antivirus/klamav-0.17.3
[nomerge      ]  app-antivirus/clamav-0.86.1
[ebuild     U ]   net-misc/curl-7.13.2 [7.13.1]
[ebuild     U ] app-editors/emacs-21.4-r1 [21.4]
[ebuild     U ]  gnome-base/gnome-desktop-2.10.0 [2.8.3]
[nomerge      ]   app-text/scrollkeeper-0.3.14
[ebuild     U ]    app-text/docbook-sgml-utils-0.6.14 [0.6.12]
[nomerge      ]     app-text/docbook-xml-dtd-4.3
[ebuild     U ]      app-text/docbook-xsl-stylesheets-1.68.1-r1 [1.66.1]
[ebuild  NS   ]     app-text/docbook-xml-simple-dtd-1.0-r1
[ebuild     U ]     app-text/docbook-xml-simple-dtd-4.1.2.4-r2 [4.1.2.4]
[ebuild  N    ] x11-themes/gnome-themes-2.10.1
[ebuild     U ]  x11-themes/gtk-engines-2.6.3 [2.2.0]
[ebuild     U ] x11-themes/gnome-icon-theme-2.10.0 [2.8.0]
[nomerge      ]  x11-themes/hicolor-icon-theme-0.5
[ebuild     U ]   gnome-base/libgnomeui-2.10.0 [2.8.1-r1]
[ebuild     U ]    gnome-base/gnome-keyring-0.4.2 [0.4.1]
[nomerge      ]    gnome-base/libbonoboui-2.8.1
[ebuild     U ]     gnome-base/libgnome-2.10.0 [2.8.1]
[ebuild     U ]      gnome-base/gnome-vfs-2.10.0-r2 [2.8.4-r1]
[nomerge      ]       sys-apps/hal-0.4.7-r2
[ebuild     U ]        sys-fs/udev-058 [056]
[nomerge      ]        sys-libs/libcap-1.10-r5
[nomerge      ]         dev-lang/swig-1.3.21
[ebuild     U ]          dev-util/guile-1.6.7 [1.6.4-r1]
[ebuild     U ]     gnome-base/libgnomecanvas-2.10.0 [2.8.0]
[ebuild     U ]     gnome-base/gconf-2.10.0 [2.8.1-r1]
[nomerge      ] media-sound/alsa-utils-1.0.8
[ebuild     U ]  sys-apps/pciutils-2.1.11-r4 [2.1.11-r3]
[nomerge      ] kde-base/quanta-3.4.1
[nomerge      ]  kde-base/kxsldbg-3.4.1
[nomerge      ]   kde-base/kdelibs-3.4.1-r1
[ebuild     U ]    net-dns/libidn-0.5.15 [0.5.13]
[nomerge      ]    sys-apps/utempter-0.5.5.5-r1
[nomerge      ]     app-arch/rpm2targz-9.0-r2
[nomerge      ]      sys-apps/util-linux-2.12i-r1
[ebuild     U ]       sys-fs/e2fsprogs-1.37-r1 [1.35-r1]
[ebuild  N    ]        sys-libs/ss-1.37
[ebuild  N    ]         sys-libs/com_err-1.37
[nomerge      ]    app-text/ghostscript-7.07.1-r8
[nomerge      ]     x11-libs/gtk+-2.6.7
[nomerge      ]      x11-misc/shared-mime-info-0.16
[ebuild     U ]       dev-util/intltool-0.32.1 [0.31.2]
[ebuild     U ]      dev-libs/glib-2.6.4 [2.6.3]
[nomerge      ] net-fs/samba-3.0.10
[ebuild     U ]  dev-libs/libxml2-2.6.19 [2.6.17]
[nomerge      ]  dev-perl/perl-ldap-0.31
[nomerge      ]   perl-core/Digest-MD5-2.33
[ebuild     U ]    perl-core/digest-base-1.10 [1.05]
[nomerge      ] dev-perl/DBD-mysql-2.9003
[nomerge      ]  dev-libs/popt-1.7-r1
[nomerge      ]   x11-libs/qt-3.3.4-r3
[ebuild     U ]    media-libs/libmng-1.0.8-r1 [1.0.4]
[ebuild  N    ] app-admin/perl-cleaner-1.01
[ebuild     U ]  dev-lang/perl-5.8.6-r5 [5.8.6-r4]
[ebuild     U ]   sys-devel/libperl-5.8.6-r1 [5.8.6]
[nomerge      ] sys-apps/man-pages-2.02
[ebuild     U ]  sys-apps/man-1.6 [1.5p]
[nomerge      ]   sys-apps/groff-1.19.1-r2
[nomerge      ]    sys-apps/texinfo-4.8
[nomerge      ]     sys-devel/gettext-0.14.4
[nomerge      ]      sys-libs/glibc-2.3.4.20041102-r1
[ebuild     U ]       sys-kernel/linux-headers-2.6.8.1-r4 [2.6.8.1-r2]


if i go
Code:
# vim /etc/portage/package.mask
# emerge -Dup world

These are the packages that I would merge, in order:

Calculating world dependencies /
!!! All ebuilds that could satisfy "~kde-base/kdebase-3.4.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdebase-3.4.1 (masked by: package.mask, ~x86 keyword)
- kde-base/kdebase-3.4.1-r1 (masked by: package.mask)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.
!!!    (dependency required by "kde-base/kdemultimedia-3.4.1-r1" [ebuild])


!!! Problem with ebuild media-sound/amarok-1.2.3
!!! Possibly a DEPEND/*DEPEND problem.

!!! Depgraph creation failed.

i think i know what to do but i'm not sure i understand what happen.Because i already reinstall all the split ebuilt separatly when i update to 3.4(putting all the split that i wanted in package.keyword with ~x86 and adding them in as other ebuilt complaining about dependencies.Then i unmerged kdebase) ,so how come i have dependendency now...
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Tue Jul 05, 2005 4:45 pm    Post subject: Reply with quote

It seems that amarok is the evil. But shouldnt be! Is amarok build with arts USE-flag? If so, set -arts for amarok in package.use and try again (only to find the reason). Still the same?
Back to top
View user's profile Send private message
techa
n00b
n00b


Joined: 24 May 2005
Posts: 6

PostPosted: Tue Jul 05, 2005 5:16 pm    Post subject: Reply with quote

I'm having the same problem after I emerged amarok. It said that kde was emerged without arts flag and had to be re-emerged with arts flag. It seems that I had changed use-flags in /etc/make.conf after kde split build. After I unmerged amarok, depclean removed kdebase. Now I can update my system without blockers, only have to emerge amarok again.
Back to top
View user's profile Send private message
bonbons
Apprentice
Apprentice


Joined: 04 Sep 2004
Posts: 250

PostPosted: Tue Jul 05, 2005 7:43 pm    Post subject: Reply with quote

I guess portage wants to upgrade KDE 3.3 to 3.4 and you wish to install install split ebuilds or already have done so.

The best way is to remove non-split kde packages from world file.
Back to top
View user's profile Send private message
cgmd
Veteran
Veteran


Joined: 17 Feb 2005
Posts: 1585
Location: Louisiana

PostPosted: Tue Jul 05, 2005 11:37 pm    Post subject: Reply with quote

bonbons...

You wrote... "remove non-split kde packages from world file".

How is that done??

Thanks...
_________________
"Primum non nocere" ---Galen
Back to top
View user's profile Send private message
bonbons
Apprentice
Apprentice


Joined: 04 Sep 2004
Posts: 250

PostPosted: Wed Jul 06, 2005 7:59 am    Post subject: Reply with quote

cgmd wrote:
You wrote... "remove non-split kde packages from world file".

How is that done??
As root you edit /var/lib/portage/world and remove any references to monolitic kde packages.

Ps: may be useful to make a backup copy
And while you are working in that file (one package per line, without version) you may also cleanup packages that got there which shouldn't (e.g. because you forgot --oneshot at emerge). You may even manually rebuild the world file with "root" packages so all dependencies are not in world file. (keep your world file as small as possible)
Some sorting may be useful for analysis as well.

For comparison, I have 117 packages in my world file (all split KDE packages are included as dependency of an own KDE-meta package in my overlay tree, so it's much easier to manage and doesn't blow up my world file)
Back to top
View user's profile Send private message
scaramanga
Apprentice
Apprentice


Joined: 31 May 2005
Posts: 171

PostPosted: Wed Jul 06, 2005 6:01 pm    Post subject: Reply with quote

I have similar troubles, and don't really see why removing all kde related in my world file would help. In fact, it didn't.......I still get blocks as mentioned above.

I got KDE 3.4.1 by running

emerge sync && emerge -Duva world

Before that, I had a KDE 3.3.2 installed. After installing KDE 3.4.1, I ran

for i in $(ls -1d /var/db/pkg/kde-base/kde*-3.3* | cut -f6 -d/) ; do emerge -C =$i ; done

and then, because of these strange blocks, I deleted all kde related entries in my world file. But still I get KDE 3.4* blockers.
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Wed Jul 06, 2005 6:13 pm    Post subject: Reply with quote

scaramanga: if you got KDE 3.4.1 by running "emerge sync && emerge -Duva world", it means that your kde is now build from monolitic ebuilds, same way as 3.3.2 version. Its not possible to mix it with splitted ebuilds.

So what are you trying to do right now? Or what command blocks came from?
Why did you deleted something from worldfile?

EDITED: I assume that you upgraded from 3.3.2 directly to 3.4.1 after it was marked as stable.
Back to top
View user's profile Send private message
scaramanga
Apprentice
Apprentice


Joined: 31 May 2005
Posts: 171

PostPosted: Wed Jul 06, 2005 6:50 pm    Post subject: Reply with quote

I guess what I want to do, is to switch from monolith KDE, to split ebuilds......I'll proceed when I get some spare CPU time:wink:

Thanks for your advice....
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Wed Jul 06, 2005 7:15 pm    Post subject: Reply with quote

scaramanga wrote:
what I want to do, is to switch from monolith KDE, to split ebuilds

I am affraid, that you have to get rid of monolitic kde-3.4.1 first and emerge splitted kde-3.4.1 ones after.

To be right, I believe that everythink is possible, so with some hack like --nodeps or others it should maybe go through, but I NEVER RECOMMEND SOMETHING LIKE THIS. I like "clear" box as much as possible.
Back to top
View user's profile Send private message
gen2_guy22
n00b
n00b


Joined: 13 Jul 2005
Posts: 4

PostPosted: Wed Jul 13, 2005 9:05 pm    Post subject: Reply with quote

Hi ..

I have recently started using Gentoo on my office PC so excuse me for being green behind the ears. I wish to upgrade to the newer KDE version with split ebuilds. Now, when I try

Quote:
emerge -Dup kde-meta


I get the following output :-

Quote:


These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/libkdeedu-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/khangman-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kdeedu-applnk-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kpercentage-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/klatin-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kvoctrain-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kmplot-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kmathtool-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/keduca-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kalzium-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kstars-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kig-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kverbos-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kmessedwords-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kturtle-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/klettres-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kiten-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kbruch-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/ktouch-3.4.1)
[blocks B ] =kde-base/kdeedu-3.4* (is blocking kde-base/kwordquiz-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kmailcvt-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkpgp-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/korganizer-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kontact-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkpimidentities-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/certmanager-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkdenetwork-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkdepim-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkcal-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/ktnef-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkholidays-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkpimexchange-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kdepim-kresources-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kode-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kaddressbook-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kontact-specialdates-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libksieve-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kmail-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/mimelib-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kdepim-kioslaves-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/libkmime-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-kioslaves-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdialog-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kalarm-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kdepim-wizards-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/korn-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kandy-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/knotes-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/konsolekalendar-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/karm-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/networkstatus-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/kitchensync-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/ksync-3.4.1)
[blocks B ] =kde-base/kdepim-3.4* (is blocking kde-base/knode-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/ktimer-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kmilo-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kcalc-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kregexpeditor-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kjots-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/ksim-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kfloppy-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/klaptopdaemon-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kcharselect-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kedit-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kgpg-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kdf-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/ark-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/kwalletmanager-3.4.1)
[blocks B ] =kde-base/kdeutils-3.4* (is blocking kde-base/khexedit-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kopete-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/krdc-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kdnssd-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/ksirc-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/librss-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/knewsticker-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/krfb-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kdict-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kdenetwork-filesharing-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/ktalkd-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/dcoprss-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kppp-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kdenetwork-kfile-plugins-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/lisa-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kpf-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/kget-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kbounce-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/libkdegames-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kwin4-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/atlantik-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kpoker-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/ksmiletris-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kjumpingcube-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/ksirtet-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kpat-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/klines-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kshisen-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/ksnake-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kenolaba-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/ksame-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kblackbox-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kgoldrunner-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kasteroids-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/ksokoban-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kmines-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/ktron-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kbattleship-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/lskat-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kmahjongg-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kbackgammon-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/konquest-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kolf-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/katomic-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/ktuberling-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kreversi-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kfouleggs-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/libksirtet-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/klickety-3.4.1)
[blocks B ] =kde-base/kdegames-3.4* (is blocking kde-base/kspaceduel-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/kdeaddons-kfile-plugins-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/ksig-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/vimpart-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/renamedlg-audio-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/renamedlg-images-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/kdeaddons-docs-konq-plugins-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/noatun-plugins-3.4.1)
[blocks B ] =kde-base/kdebase-kioslaves-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdialog-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/knewsticker-scripts-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/kicker-applets-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/kate-plugins-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kate-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/atlantikdesigner-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/kaddressbook-plugins-3.4.1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/konqueror-akregator-3.4.1)
[blocks B ] =kde-base/kontact-specialdates-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kaddressbook-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-kresources-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkcal-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/knotes-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kmailcvt-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/knode-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kontact-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/korganizer-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/mimelib-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/networkstatus-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/korn-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libksieve-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpgp-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpimexchange-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kandy-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/karm-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/certmanager-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-wizards-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/ksync-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkdenetwork-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpimidentities-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kmail-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkmime-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kalarm-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kitchensync-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkholidays-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkdepim-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/ktnef-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-kioslaves-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kode-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/konsolekalendar-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdeaddons-3.4* (is blocking kde-base/konq-plugins-3.4.1)
[blocks B ] =kde-base/kdeadmin-3.4* (is blocking kde-base/kdat-3.4.1)
[blocks B ] =kde-base/kdeadmin-3.4* (is blocking kde-base/kcron-3.4.1)
[blocks B ] =kde-base/kdeadmin-3.4* (is blocking kde-base/kuser-3.4.1)
[blocks B ] =kde-base/kdeadmin-3.4* (is blocking kde-base/lilo-config-3.4.1)
[blocks B ] =kde-base/kdeadmin-3.4* (is blocking kde-base/secpolicy-3.4.1)
[blocks B ] =kde-base/kdeadmin-3.4* (is blocking kde-base/kdeadmin-kfile-plugins-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/kteatime-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/kweather-3.4.1-r1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/eyesapplet-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/amor-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/ktux-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/kmoon-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/kodo-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/kworldwatch-3.4.1)
[blocks B ] =kde-base/kdetoys-3.4* (is blocking kde-base/fifteenapplet-3.4.1)
[blocks B ] =kde-base/kdewebdev-3.4* (is blocking kde-base/kxsldbg-3.4.1)
[blocks B ] =kde-base/kdewebdev-3.4* (is blocking kde-base/kimagemapeditor-3.4.1)
[blocks B ] =kde-base/kdewebdev-3.4* (is blocking kde-base/kfilereplace-3.4.1)
[blocks B ] =kde-base/kdewebdev-3.4* (is blocking kde-base/quanta-3.4.1)
[blocks B ] =kde-base/kdewebdev-3.4* (is blocking kde-base/klinkstatus-3.4.1)
[blocks B ] =kde-base/kdewebdev-3.4* (is blocking kde-base/kommander-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-wallpapers-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-kwin-styles-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-emoticons-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-kworldclock-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-iconthemes-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-kscreensaver-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-styles-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-icewm-themes-3.4.1)
[blocks B ] =kde-base/kdeartwork-3.4* (is blocking kde-base/kdeartwork-sounds-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/libkcddb-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kdemultimedia-kioslaves-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kdemultimedia-kfile-plugins-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/artsplugin-audiofile-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/artsplugin-xine-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/mpeglib-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/artsplugin-mpeglib-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kdemultimedia-arts-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/artsplugin-mpg123-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/noatun-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kdemultimedia-kappfinder-data-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kaudiocreator-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kaboodle-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/akode-3.4.1-r1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/juk-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kmix-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kscd-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/kmid-3.4.1)
[blocks B ] =kde-base/kdemultimedia-3.4* (is blocking kde-base/krec-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kgamma-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kooka-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/libkscan-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kdegraphics-kfile-plugins-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kolourpaint-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kmrml-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kpdf-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/ksnapshot-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kcoloredit-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/ksvg-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kghostview-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kuickshow-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kview-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kiconedit-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kfax-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kviewshell-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kamera-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kruler-3.4.1)
[blocks B ] =kde-base/kdegraphics-3.4* (is blocking kde-base/kdvi-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kscreensaver-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdm-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/khotkeys-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesu-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-data-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kcminit-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kcontrol-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/khelpcenter-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebugdialog-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/ksysguard-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/knetattach-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/libkonq-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdepasswd-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kfind-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kicker-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kappfinder-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kcheckpass-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kxkb-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/ksplashml-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/ktip-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kreadconfig-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/klipper-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/ksystraycmd-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesktop-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kwin-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kstart-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/ksmserver-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/nsplugins-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdeprint-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdcop-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kpager-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-startkde-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kpersonalizer-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kmenuedit-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/drkonqi-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/konqueror-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/konsole-3.4.1)
[ebuild N ] kde-base/libkdeedu-3.4.1
[ebuild N ] kde-base/khangman-3.4.1
[ebuild N ] kde-base/kdeedu-applnk-3.4.1
[ebuild N ] kde-base/kpercentage-3.4.1
[ebuild N ] kde-base/klatin-3.4.1
[ebuild N ] kde-base/kvoctrain-3.4.1
[ebuild N ] kde-base/kmplot-3.4.1
[ebuild N ] kde-base/kmathtool-3.4.1
[ebuild N ] kde-base/keduca-3.4.1
[ebuild N ] kde-base/kalzium-3.4.1
[ebuild N ] kde-base/kstars-3.4.1
[ebuild N ] kde-base/kig-3.4.1
[ebuild N ] kde-base/kverbos-3.4.1
[ebuild N ] kde-base/kmessedwords-3.4.1
[ebuild N ] kde-base/kturtle-3.4.1
[ebuild N ] kde-base/klettres-3.4.1
[ebuild N ] kde-base/kiten-3.4.1
[ebuild N ] kde-base/kbruch-3.4.1
[ebuild N ] kde-base/ktouch-3.4.1
[ebuild N ] kde-base/kwordquiz-3.4.1
[ebuild N ] kde-base/kdeedu-meta-3.4.1
[ebuild N ] kde-base/kmailcvt-3.4.1
[ebuild N ] kde-base/libkpgp-3.4.1
[ebuild N ] kde-base/libkdenetwork-3.4.1
[ebuild N ] kde-base/certmanager-3.4.1
[ebuild N ] kde-base/ktnef-3.4.1
[ebuild N ] kde-base/libkcal-3.4.1
[ebuild N ] kde-base/libkdepim-3.4.1
[ebuild N ] kde-base/libkpimidentities-3.4.1
[ebuild N ] kde-base/kontact-3.4.1
[ebuild N ] kde-base/libkholidays-3.4.1
[ebuild N ] kde-base/libkpimexchange-3.4.1
[ebuild N ] kde-base/kode-3.4.1
[ebuild N ] kde-base/kaddressbook-3.4.1
[ebuild N ] kde-base/kdepim-kresources-3.4.1
[ebuild N ] kde-base/korganizer-3.4.1
[ebuild N ] kde-base/libksieve-3.4.1
[ebuild N ] kde-base/mimelib-3.4.1
[ebuild N ] kde-base/libkmime-3.4.1
[ebuild N ] kde-base/kdepim-kioslaves-3.4.1
[ebuild N ] kde-base/kdialog-3.4.1
[ebuild N ] kde-base/kdebase-kioslaves-3.4.1-r1
[ebuild N ] kde-base/kmail-3.4.1
[ebuild N ] kde-base/kontact-specialdates-3.4.1
[ebuild N ] kde-base/kalarm-3.4.1
[ebuild N ] kde-base/kdepim-wizards-3.4.1
[ebuild N ] kde-base/korn-3.4.1
[ebuild N ] kde-base/kandy-3.4.1
[ebuild N ] kde-base/knotes-3.4.1
[ebuild N ] kde-base/konsolekalendar-3.4.1
[ebuild N ] kde-base/karm-3.4.1
[ebuild N ] kde-base/networkstatus-3.4.1
[ebuild N ] kde-base/kitchensync-3.4.1
[ebuild N ] kde-base/ksync-3.4.1
[ebuild N ] kde-base/knode-3.4.1
[ebuild N ] kde-base/kdepim-meta-3.4.1
[ebuild N ] kde-base/ktimer-3.4.1
[ebuild N ] kde-base/kmilo-3.4.1
[ebuild N ] kde-base/kcalc-3.4.1
[ebuild N ] kde-base/kregexpeditor-3.4.1
[ebuild N ] kde-base/kjots-3.4.1
[ebuild N ] kde-base/ksim-3.4.1
[ebuild N ] kde-base/kfloppy-3.4.1
[ebuild N ] kde-base/klaptopdaemon-3.4.1
[ebuild N ] kde-base/kcharselect-3.4.1
[ebuild N ] kde-base/kedit-3.4.1
[ebuild N ] kde-base/kgpg-3.4.1
[ebuild N ] kde-base/kdf-3.4.1
[ebuild N ] kde-base/ark-3.4.1
[ebuild N ] kde-base/kwalletmanager-3.4.1
[ebuild N ] kde-base/khexedit-3.4.1
[ebuild N ] kde-base/kdeutils-meta-3.4.1
[ebuild N ] kde-base/kopete-3.4.1
[ebuild N ] kde-base/krdc-3.4.1
[ebuild N ] kde-base/kdnssd-3.4.1
[ebuild N ] kde-base/ksirc-3.4.1
[ebuild N ] kde-base/librss-3.4.1
[ebuild N ] kde-base/knewsticker-3.4.1
[ebuild N ] kde-base/krfb-3.4.1
[ebuild N ] kde-base/kdict-3.4.1
[ebuild N ] kde-base/kdenetwork-filesharing-3.4.1
[ebuild N ] kde-base/ktalkd-3.4.1
[ebuild N ] kde-base/dcoprss-3.4.1
[ebuild N ] kde-base/kppp-3.4.1
[ebuild N ] kde-base/kdenetwork-kfile-plugins-3.4.1
[ebuild N ] kde-base/lisa-3.4.1
[ebuild N ] kde-base/kpf-3.4.1
[ebuild N ] kde-base/kget-3.4.1
[ebuild N ] kde-base/kdenetwork-meta-3.4.1
[ebuild N ] kde-base/libkdegames-3.4.1
[ebuild N ] kde-base/kbounce-3.4.1
[ebuild N ] kde-base/kwin4-3.4.1
[ebuild N ] kde-base/atlantik-3.4.1
[ebuild N ] kde-base/kpoker-3.4.1
[ebuild N ] kde-base/ksmiletris-3.4.1
[ebuild N ] kde-base/kjumpingcube-3.4.1
[ebuild N ] kde-base/ksirtet-3.4.1
[ebuild N ] kde-base/kpat-3.4.1
[ebuild N ] kde-base/klines-3.4.1
[ebuild N ] kde-base/kshisen-3.4.1
[ebuild N ] kde-base/ksnake-3.4.1
[ebuild N ] kde-base/kenolaba-3.4.1
[ebuild N ] kde-base/ksame-3.4.1
[ebuild N ] kde-base/kblackbox-3.4.1
[ebuild N ] kde-base/kgoldrunner-3.4.1
[ebuild N ] kde-base/kasteroids-3.4.1
[ebuild N ] kde-base/ksokoban-3.4.1
[ebuild N ] kde-base/kmines-3.4.1
[ebuild N ] kde-base/ktron-3.4.1
[ebuild N ] kde-base/kbattleship-3.4.1
[ebuild N ] kde-base/lskat-3.4.1
[ebuild N ] kde-base/kmahjongg-3.4.1
[ebuild N ] kde-base/kbackgammon-3.4.1
[ebuild N ] kde-base/konquest-3.4.1
[ebuild N ] kde-base/kolf-3.4.1
[ebuild N ] kde-base/katomic-3.4.1
[ebuild N ] kde-base/ktuberling-3.4.1
[ebuild N ] kde-base/kreversi-3.4.1
[ebuild N ] kde-base/libksirtet-3.4.1
[ebuild N ] kde-base/kfouleggs-3.4.1
[ebuild N ] kde-base/klickety-3.4.1
[ebuild N ] kde-base/kspaceduel-3.4.1
[ebuild N ] kde-base/kdegames-meta-3.4.1
[ebuild N ] kde-base/kdeaddons-kfile-plugins-3.4.1
[ebuild N ] kde-base/ksig-3.4.1
[ebuild N ] kde-base/vimpart-3.4.1
[ebuild N ] kde-base/renamedlg-audio-3.4.1
[ebuild N ] kde-base/renamedlg-images-3.4.1
[ebuild N ] kde-base/kdeaddons-docs-konq-plugins-3.4.1
[ebuild N ] kde-base/noatun-plugins-3.4.1
[ebuild N ] kde-base/knewsticker-scripts-3.4.1
[ebuild N ] kde-base/kicker-applets-3.4.1
[ebuild N ] kde-base/kate-3.4.1
[ebuild N ] kde-base/kate-plugins-3.4.1
[ebuild N ] kde-base/atlantikdesigner-3.4.1
[ebuild N ] kde-base/kaddressbook-plugins-3.4.1
[ebuild N ] kde-base/konqueror-akregator-3.4.1
[ebuild N ] kde-base/konq-plugins-3.4.1
[ebuild N ] kde-base/kdeaddons-meta-3.4.1
[ebuild N ] kde-base/kdat-3.4.1
[ebuild N ] kde-base/kcron-3.4.1
[ebuild N ] kde-base/kuser-3.4.1
[ebuild N ] kde-base/lilo-config-3.4.1
[ebuild N ] kde-base/secpolicy-3.4.1
[ebuild N ] kde-base/kdeadmin-kfile-plugins-3.4.1
[ebuild N ] kde-base/kdeadmin-meta-3.4.1
[ebuild N ] kde-base/kteatime-3.4.1
[ebuild N ] kde-base/kweather-3.4.1-r1
[ebuild N ] kde-base/eyesapplet-3.4.1
[ebuild N ] kde-base/amor-3.4.1
[ebuild N ] kde-base/ktux-3.4.1
[ebuild N ] kde-base/kmoon-3.4.1
[ebuild N ] kde-base/kodo-3.4.1
[ebuild N ] kde-base/kworldwatch-3.4.1
[ebuild N ] kde-base/fifteenapplet-3.4.1
[ebuild N ] kde-base/kdetoys-meta-3.4.1
[ebuild N ] kde-base/kxsldbg-3.4.1
[ebuild N ] kde-base/kimagemapeditor-3.4.1
[ebuild N ] kde-base/kfilereplace-3.4.1
[ebuild N ] kde-base/klinkstatus-3.4.1
[ebuild N ] kde-base/kommander-3.4.1
[ebuild N ] kde-base/quanta-3.4.1
[ebuild N ] kde-base/kdewebdev-meta-3.4.1
[ebuild N ] kde-base/kdeartwork-wallpapers-3.4.1
[ebuild N ] kde-base/kdeartwork-kwin-styles-3.4.1
[ebuild N ] kde-base/kdeartwork-emoticons-3.4.1
[ebuild N ] kde-base/kdeartwork-kworldclock-3.4.1
[ebuild N ] kde-base/kdeartwork-iconthemes-3.4.1
[ebuild N ] kde-base/kdeartwork-kscreensaver-3.4.1
[ebuild N ] kde-base/kdeartwork-styles-3.4.1
[ebuild N ] kde-base/kdeartwork-icewm-themes-3.4.1
[ebuild N ] kde-base/kdeartwork-sounds-3.4.1
[ebuild N ] kde-base/kdeartwork-meta-3.4.1
[ebuild N ] kde-base/libkcddb-3.4.1
[ebuild N ] kde-base/kdemultimedia-kioslaves-3.4.1
[ebuild N ] kde-base/kdemultimedia-kfile-plugins-3.4.1
[ebuild N ] kde-base/artsplugin-audiofile-3.4.1
[ebuild N ] kde-base/artsplugin-xine-3.4.1
[ebuild N ] kde-base/mpeglib-3.4.1
[ebuild N ] kde-base/artsplugin-mpeglib-3.4.1
[ebuild N ] kde-base/kdemultimedia-arts-3.4.1
[ebuild N ] kde-base/artsplugin-mpg123-3.4.1
[ebuild N ] kde-base/noatun-3.4.1
[ebuild N ] kde-base/kdemultimedia-kappfinder-data-3.4.1
[ebuild N ] kde-base/kaudiocreator-3.4.1
[ebuild N ] kde-base/kaboodle-3.4.1
[ebuild N ] kde-base/akode-3.4.1-r1
[ebuild N ] kde-base/juk-3.4.1
[ebuild N ] kde-base/kmix-3.4.1
[ebuild N ] kde-base/kscd-3.4.1
[ebuild N ] kde-base/kmid-3.4.1
[ebuild N ] kde-base/krec-3.4.1
[ebuild N ] kde-base/kdemultimedia-meta-3.4.1
[ebuild N ] kde-base/kgamma-3.4.1
[ebuild N ] kde-base/libkscan-3.4.1
[ebuild N ] kde-base/kooka-3.4.1
[ebuild N ] kde-base/kdegraphics-kfile-plugins-3.4.1
[ebuild N ] kde-base/kolourpaint-3.4.1
[ebuild N ] kde-base/kmrml-3.4.1
[ebuild N ] kde-base/kpdf-3.4.1
[ebuild N ] kde-base/ksnapshot-3.4.1
[ebuild N ] kde-base/kcoloredit-3.4.1
[ebuild N ] kde-base/ksvg-3.4.1
[ebuild N ] kde-base/kghostview-3.4.1
[ebuild N ] kde-base/kuickshow-3.4.1
[ebuild N ] kde-base/kview-3.4.1
[ebuild N ] kde-base/kiconedit-3.4.1
[ebuild N ] kde-base/kviewshell-3.4.1
[ebuild N ] kde-base/kfax-3.4.1
[ebuild N ] kde-base/kamera-3.4.1
[ebuild N ] kde-base/kruler-3.4.1
[ebuild N ] kde-base/kdvi-3.4.1
[ebuild N ] kde-base/kdegraphics-meta-3.4.1
[ebuild N ] kde-base/kscreensaver-3.4.1
[ebuild N ] kde-base/khotkeys-3.4.1
[ebuild N ] kde-base/kdesu-3.4.1
[ebuild N ] kde-base/kdebase-data-3.4.1
[ebuild N ] kde-base/kcminit-3.4.1
[ebuild N ] kde-base/khelpcenter-3.4.1-r1
[ebuild N ] kde-base/kcontrol-3.4.1-r1
[ebuild N ] kde-base/kdm-3.4.1
[ebuild N ] kde-base/kdebugdialog-3.4.1
[ebuild N ] kde-base/ksysguard-3.4.1-r1
[ebuild N ] kde-base/knetattach-3.4.1
[ebuild N ] kde-base/libkonq-3.4.1
[ebuild N ] kde-base/kdepasswd-3.4.1
[ebuild N ] kde-base/kfind-3.4.1
[ebuild N ] kde-base/kicker-3.4.1
[ebuild N ] kde-base/kappfinder-3.4.1
[ebuild N ] kde-base/kcheckpass-3.4.1
[ebuild N ] kde-base/kxkb-3.4.1
[ebuild N ] kde-base/ksplashml-3.4.1
[ebuild N ] kde-base/ktip-3.4.1
[ebuild N ] kde-base/kreadconfig-3.4.1
[ebuild N ] kde-base/klipper-3.4.1
[ebuild N ] kde-base/ksystraycmd-3.4.1
[ebuild N ] kde-base/kdesktop-3.4.1
[ebuild N ] kde-base/kwin-3.4.1
[ebuild N ] kde-base/kstart-3.4.1
[ebuild N ] kde-base/ksmserver-3.4.1
[ebuild N ] kde-base/nsplugins-3.4.1
[ebuild N ] kde-base/kdeprint-3.4.1
[ebuild N ] kde-base/kdcop-3.4.1
[ebuild N ] kde-base/kpager-3.4.1
[ebuild N ] kde-base/kpersonalizer-3.4.1
[ebuild N ] kde-base/kdebase-startkde-3.4.1
[ebuild N ] kde-base/kmenuedit-3.4.1
[ebuild N ] kde-base/drkonqi-3.4.1
[ebuild N ] kde-base/konqueror-3.4.1
[ebuild N ] kde-base/konsole-3.4.1
[ebuild N ] kde-base/kdebase-meta-3.4.1



Now, do I have to unmerge all the documents that show a B and then emerge kde-meta? Going through the replies before it seems I will still get blockers. What would be a good way to go about things? It seems that I will have to spare considerable CPU time in unmerging and merging...

:(
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Wed Jul 13, 2005 9:45 pm    Post subject: Reply with quote

After quick look it seems that you wish to upgrade to splitted from 3.4.0, maybe from 3.4.1. But two parts of blocks are strange:
gen2_guy22 wrote:

[blocks B ] =kde-base/kdebase-kioslaves-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdialog-3.4* (is blocking kde-base/kdebase-3.4.1-r1)

[blocks B ] =kde-base/kontact-specialdates-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kaddressbook-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-kresources-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkcal-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/knotes-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kmailcvt-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/knode-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kontact-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/korganizer-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/mimelib-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/networkstatus-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/korn-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libksieve-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpgp-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpimexchange-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kandy-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/karm-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/certmanager-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-wizards-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/ksync-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkdenetwork-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpimidentities-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kmail-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkmime-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kalarm-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kitchensync-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkholidays-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkdepim-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/ktnef-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-kioslaves-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kode-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/konsolekalendar-3.4* (is blocking kde-base/kdepim-3.4.1-r1)

You were experiencing and you have now on system kdepim splitted? What about kdebase-kioslaves and kdialog, how did you do it, to have this two ones along with monolic kdebase?

You want spare some time on emerging - are you sure, you need e.g all kdegames, kdewebdev, kdeedu ... ?
Also what about fact, that kde-3.4.2 will be released on 27.7.05?
Back to top
View user's profile Send private message
mathew
n00b
n00b


Joined: 02 Aug 2002
Posts: 35

PostPosted: Thu Jul 14, 2005 1:55 pm    Post subject: Try emerge --unmerge kde Reply with quote

I found that I need to run
Code:
emerge --unmerge kde
to resolve this.
_________________
my blog on gentoo
Back to top
View user's profile Send private message
gen2_guy22
n00b
n00b


Joined: 13 Jul 2005
Posts: 4

PostPosted: Thu Jul 14, 2005 2:07 pm    Post subject: Reply with quote

I think I will hold on for the next release. But will I face the same problem if I wish to upgrade then too? Will I have to unmerge the whole kde and the emerge the split ebuild?

You said that I had the split ebuilds of a few packages? While installing kde, I think I first did emerge -Dup kdebase and then emerge -Dup kde. That must be the trouble. I did not know details of the split ebuilds then. I should have emerged kde-meta. Now I know better. Well... one lives and learns. :roll:
Back to top
View user's profile Send private message
radfoj
Guru
Guru


Joined: 31 Dec 2004
Posts: 490
Location: Tísek, Czech Republic

PostPosted: Thu Jul 14, 2005 2:45 pm    Post subject: Reply with quote

gen2_guy22 wrote:
You said that I had the split ebuilds of a few packages?

That part of your output I dont understand much. Only you know, what packages you have on system. This will show you wheather you have them.
Code:
emerge -s kdebase-kioslaves
emerge -p kdebase
emerge -s kmail
emerge -p kdepim

I am afraid, as I say before your post, if you have kde-3.4.* build from monilitic ebuild, its not possible without any horrible hack to switch to splitted kde-3.4.*before you ged rid of all monolitic kde-3.4.* ebuilds.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum